Plugin error from dada2

dada2
(lipengcheng) #1

Hello,
I have been getting the following error after the denoising step:
An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.
I use this command:
time qiime dada2 denoise-paired --i-demultiplexed-seqs demux.qza --verbose --p-n-threads 0 --p-trim-left-f 26 --p-trim-left-r 26 --p-trunc-len-f 0 --p-trunc-len-r 0 --o-table table.qza --o-representative-sequences rep-seqs.qza --o-denoising-stats denoising-stats.qza
I check the error
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp0h_thlhz/forward /tmp/tmp0h_thlhz/reverse /tmp/tmp0h_thlhz/output.tsv.biom /tmp/tmp0h_thlhz/track.tsv /tmp/tmp0h_thlhz/filt_f /tmp/tmp0h_thlhz/filt_r 0 0 26 26 2.0 2 consensus 1.0 0 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering Error in filterAndTrim(unfiltsF, filtsF, unfiltsR, filtsR, truncLen = c(truncLenF, :
    These are the errors (up to 5) encountered in individual cores…
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 91816, 97358.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 91816, 97358.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 91816, 97358.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 91816, 97358.
    Execution halted
    Traceback (most recent call last):
    File “/data/home/cuixiaolong/anaconda2/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File “/data/home/cuixiaolong/anaconda2/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/data/home/cuixiaolong/anaconda2/envs/qiime2-2019.1/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp0h_thlhz/forward’, ‘/tmp/tmp0h_thlhz/reverse’, ‘/tmp/tmp0h_thlhz/output.tsv.biom’, ‘/tmp/tmp0h_thlhz/track.tsv’, ‘/tmp/tmp0h_thlhz/filt_f’, ‘/tmp/tmp0h_thlhz/filt_r’, ‘0’, ‘0’, ‘26’, ‘26’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/data/home/cuixiaolong/anaconda2/envs/qiime2-2019.1/lib/python3.6/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “</data/home/cuixiaolong/anaconda2/envs/qiime2-2019.1/lib/python3.6/site-packages/decorator.py:decorator-gen-442>”, line 2, in denoise_paired
File “/data/home/cuixiaolong/anaconda2/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/data/home/cuixiaolong/anaconda2/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File “/data/home/cuixiaolong/anaconda2/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

real 4m15.126s
user 41m21.921s
sys 0m18.155s
It would be great if anyone could guide me.
The qiime 2 version that am using is qiime2 2019.01and my R version is also R version 3.4.1 (2017-06-30)

0 Likes

(Nicholas Bokulich) #2

Hi @lipengcheng,
Notice this line in your error message:

At least one pair of your sequence files have mismatched sequence counts. See here for a similar issue and solution:

If you performed any kind of quality control prior to importing to QIIME 2, that is most likely what is introducing this error. You can follow the steps in that post to count the sequences in each pair of files to discover which file pair is causing this issue.

Good luck!

0 Likes

(lipengcheng) #3

Thank you so much. My problem is fixed after I Corrected the manifest file.

0 Likes